Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request DELETE \
--url https://apigw.ipxo.com/nethub-data/{tenantUUID}/prefixes/metadata/array \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"notation": "string",
"items": [
{
"pathToArray": "string",
"elements": [
{}
],
"position": 0
}
]
}
]
'import requests
url = "https://apigw.ipxo.com/nethub-data/{tenantUUID}/prefixes/metadata/array"
payload = [
{
"notation": "string",
"items": [
{
"pathToArray": "string",
"elements": [{}],
"position": 0
}
]
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
notation: 'string',
items: [{pathToArray: 'string', elements: [{}], position: 0}]
}
])
};
fetch('https://apigw.ipxo.com/nethub-data/{tenantUUID}/prefixes/metadata/array', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"notation": "string",
"ipNet": {
"ip": "string",
"mask": "string"
},
"maskSize": 0,
"type": 0,
"holderMetadata": {
"key1": "value1",
"keyN": "valueN"
}
}
]{
"status": "string",
"code": 0,
"error": "string"
}{
"status": "string",
"code": 0,
"error": "string"
}{
"status": "string",
"code": 0,
"error": "string"
}{
"status": "string",
"code": 0,
"error": "string"
}This endpoint allows for the deletion of array elements from the metadata arrays of existing prefix holders. This endpoint can be combined with DELETE - /{tenantUUID}/prefixes/metadata by removing specific array components with that endpoint first and since it sets values to NULL when performing delete operations on array positions, one can execute this API call by providing single value of NULL to elements and it will easily remove all those elements, freeing up array space and resetting positions.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Tenant UUID
Request payload for deleting elements from metadata arrays.